Baseline (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.Baseline class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class Baseline

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.measurement.server.session.Baseline

All Implemented Interfaces:
  java.io.Serializable

    public class Baseline

extends PersistedObject
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Baseline()`
`Baseline(Measurement measurement, long computeTime, boolean userEntered, java.lang.Double mean, java.lang.Double minExpectedVal, java.lang.Double maxExpectedVal)`

Method Summary
`long` | `getComputeTime()`
`java.lang.Double` | `getMaxExpectedVal()`
`java.lang.Double` | `getMean()`
`Measurement` | `getMeasurement()`
`java.lang.Double` | `getMinExpectedVal()`
`boolean` | `isUserEntered()`
`void` | `setComputeTime(long computeTime)`
`protected void` | `setMaxExpectedVal(java.lang.Double maxExpectedVal)`
`protected void` | `setMean(java.lang.Double mean)`
`void` | `setMeasurement(Measurement measurement)`
`protected void` | `setMinExpectedVal(java.lang.Double minExpectedVal)`
`void` | `setUserEntered(boolean userEntered)`
`void` | `update(long computeTime, boolean userEntered, java.lang.Double mean, java.lang.Double minExpectedValue, java.lang.Double maxExpectedValue)` Update a Baseline

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Baseline

    public Baseline()

### Baseline

    public Baseline(Measurement measurement,
                    long computeTime,
                    boolean userEntered,
                    java.lang.Double mean,
                    java.lang.Double minExpectedVal,
                    java.lang.Double maxExpectedVal)

Method Detail

### getMeasurement

    public Measurement getMeasurement()

### setMeasurement

    public void setMeasurement(Measurement measurement)

### getComputeTime

    public long getComputeTime()

### setComputeTime

    public void setComputeTime(long computeTime)

### isUserEntered

    public boolean isUserEntered()

### setUserEntered

    public void setUserEntered(boolean userEntered)

### getMean

    public java.lang.Double getMean()

### setMean

    protected void setMean(java.lang.Double mean)

### getMinExpectedVal

    public java.lang.Double getMinExpectedVal()

### setMinExpectedVal

    protected void setMinExpectedVal(java.lang.Double minExpectedVal)

### getMaxExpectedVal

    public java.lang.Double getMaxExpectedVal()

### setMaxExpectedVal

    protected void setMaxExpectedVal(java.lang.Double maxExpectedVal)

### update

    public void update(long computeTime,
                       boolean userEntered,
                       java.lang.Double mean,
                       java.lang.Double minExpectedValue,
                       java.lang.Double maxExpectedValue)

  Update a Baseline

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.